跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!

List comment's attachments

GET
/repos/{owner}/{repo}/issues/comments/{id}/assets
curl --request GET \
--url https://gitea.com/api/v1/repos/example/example/issues/comments/1/assets \
--header 'Authorization: Basic <credentials>'
owner
required
string

Owner of the repo

repo
required
string

Name of the repo

id
required
integer format: int64

Id of the comment

AttachmentList

Media typeapplication/json
Array<object>

Attachment a generic attachment

object
browser_download_url

DownloadURL is the URL to download the attachment

string
created_at
string format: date-time
download_count

DownloadCount is the number of times the attachment has been downloaded

integer format: int64
id

ID is the unique identifier for the attachment

integer format: int64
name

Name is the filename of the attachment

string
size

Size is the file size in bytes

integer format: int64
uuid

UUID is the unique identifier for the attachment file

string
Examplegenerated
[
{
"browser_download_url": "example",
"created_at": "2026-04-15T12:00:00Z",
"download_count": 1,
"id": 1,
"name": "example",
"size": 1,
"uuid": "example"
}
]

APIError is error format response

Media typeapplication/json
message
string
url
string